Package opennlp.uima.namefind

# Class DictionaryNameFinder

java.lang.Object
org.apache.uima.analysis_component.AnalysisComponent_ImplBase
org.apache.uima.analysis_component.Annotator_ImplBase
org.apache.uima.analysis_component.CasAnnotator_ImplBase
opennlp.uima.namefind.DictionaryNameFinder

All Implemented Interfaces:
  `org.apache.uima.analysis_component.AnalysisComponent`

public class DictionaryNameFinder extends org.apache.uima.analysis_component.CasAnnotator_ImplBase

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DictionaryNameFinder()`
  Initializes a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `destroy()`
  Releases allocated resources.
  `void`
  `initialize()`
  Initializes the current instance with the given context.
  `final void`
  `initialize(org.apache.uima.UimaContext context)`
  `final void`
  `process(org.apache.uima.cas.CAS cas)`
  Performs name finding on the given `CAS` object.
  `void`
  `typeSystemInit(org.apache.uima.cas.TypeSystem typeSystem)`
  Initializes the `TypeSystem`.

  ### Methods inherited from class org.apache.uima.analysis_component.CasAnnotator_ImplBase

  `getRequiredCasInterface, process`

  ### Methods inherited from class org.apache.uima.analysis_component.Annotator_ImplBase

  `getCasInstancesRequired, hasNext, next`

  ### Methods inherited from class org.apache.uima.analysis_component.AnalysisComponent_ImplBase

  `batchProcessComplete, collectionProcessComplete, reconfigure, setResultSpecification`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DictionaryNameFinder

    public DictionaryNameFinder()
    Initializes a new instance.

    Note: Use `initialize()` to initialize this instance. Not use the constructor.

- ## Method Details

  - ### initialize

    public void initialize() throws org.apache.uima.resource.ResourceInitializationException
    Initializes the current instance with the given context.

    Note: Do all initialization in this method, do not use the constructor.

    Throws:
      `org.apache.uima.resource.ResourceInitializationException`

  - ### destroy

    public void destroy()
    Releases allocated resources.
    Specified by:
      `destroy` in interface `org.apache.uima.analysis_component.AnalysisComponent`
    Overrides:
      `destroy` in class `org.apache.uima.analysis_component.AnalysisComponent_ImplBase`

  - ### initialize

    public final void initialize(org.apache.uima.UimaContext context) throws org.apache.uima.resource.ResourceInitializationException
    Specified by:
      `initialize` in interface `org.apache.uima.analysis_component.AnalysisComponent`
    Overrides:
      `initialize` in class `org.apache.uima.analysis_component.AnalysisComponent_ImplBase`
    Throws:
      `org.apache.uima.resource.ResourceInitializationException`

  - ### typeSystemInit

    public void typeSystemInit(org.apache.uima.cas.TypeSystem typeSystem) throws org.apache.uima.analysis_engine.AnalysisEngineProcessException
    Initializes the `TypeSystem`.
    Overrides:
      `typeSystemInit` in class `org.apache.uima.analysis_component.CasAnnotator_ImplBase`
    Throws:
      `org.apache.uima.analysis_engine.AnalysisEngineProcessException`

  - ### process

    public final void process(org.apache.uima.cas.CAS cas)
    Performs name finding on the given `CAS` object.
    Specified by:
      `process` in class `org.apache.uima.analysis_component.CasAnnotator_ImplBase`